[Gpg4win-commits] [git] Gpg4win - branch, KDE/4.10-update, updated. gpg4win-2.1.0-134-g8a067bd

by Andre Heinecke cvs at cvs.gnupg.org
Mon Apr 22 20:02:52 CEST 2013


This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "GnuPG for Windows".

The branch, KDE/4.10-update has been updated
       via  8a067bd97e7160b0c26c1d45899c0c68bcccae29 (commit)
       via  8a22dd3596cf8a513afa5199232c24bb3a1f0840 (commit)
       via  26fa1f9f3e73055c9f6d3b986c196896c624b0d4 (commit)
       via  884ac7fe560956176e03279d604651d08a356f8f (commit)
       via  4cb87cb5915dd007385414013bb8d785a382791d (commit)
      from  bf86cd6d810babe772c758619289f58feed7003d (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 8a067bd97e7160b0c26c1d45899c0c68bcccae29
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Apr 22 17:45:24 2013 +0000

    Fix w32pth patch by checking for sigset_t
    
        This also corrects the winsock2.h / windows.h include order
    
        * patches/w32pth-2.0.2/01_compatibility_with_newer_mingw.patch: New

diff --git a/patches/w32pth-2.0.2/01_compatibility_with_newer_mingw.patch b/patches/w32pth-2.0.2/01_compatibility_with_newer_mingw.patch
index 6a2a3a4..6f07581 100755
--- a/patches/w32pth-2.0.2/01_compatibility_with_newer_mingw.patch
+++ b/patches/w32pth-2.0.2/01_compatibility_with_newer_mingw.patch
@@ -4,20 +4,59 @@
 patch -p0 -f --ignore-whitespace $* < $0
 exit $?
 
-2013-04-18  Andre Heinecke  <aheinecke at intevation.de>
+2013-04-22  Andre Heinecke  <aheinecke at intevation.de>
 
 	* pth.h: Include winsock2.h for WSA symbols not defined in windows.h,
-    define _POSIX before including sys/types.h
+    define sigset_t if not available
+    * configure.ac: Check for sigset_t
+    * config.h.in: Add define accordingly.
 
---- pth.h.orig  2013-04-18 16:14:01.020666575 +0000
-+++ pth.h       2013-04-18 16:14:04.108643719 +0000
-@@ -38,6 +38,9 @@
+--- pth.h.orig  2013-04-22 17:16:33.374471131 +0000
++++ pth.h       2013-04-22 17:18:00.925872481 +0000
+@@ -34,12 +34,21 @@
+
+
+
++#include <winsock2.h>
+ #include <windows.h>  /* We need this for sockaddr et al.  FIXME: too
                           heavyweight - may be we should factor such
                           code out to a second header and adjust all
                           user files to include it only if required. */
-+#include <winsock2.h>
-+
-+#define _POSIX /* We want posix type names */
  #include <sys/types.h> /* For sigset_t. */
 
++#ifndef HAVE_SIGSET_T
++# ifdef _WIN64
++    typedef unsigned long long sigset_t;
++# else
++    typedef unsigned long sigset_t;
++# endif
++#endif
++
  #ifndef W32_PTH_HANDLE_INTERNAL
+ #define W32_PTH_HANDLE_INTERNAL  int
+ #endif
+
+--- configure.ac.orig   2013-04-22 17:08:22.341843928 +0000
++++ configure.ac        2013-04-22 17:08:40.649698622 +0000
+@@ -148,6 +148,9 @@
+ AC_CHECK_SIZEOF(unsigned long)
+ AC_CHECK_SIZEOF(long long)
+
++AC_CHECK_TYPES([rigset_t],,,[#include <signal.h>])
++AC_CHECK_TYPES([sigset_t],,,[#include <sys/types.h>])
++
+ # To be used in pth-config
+ W32PTH_CONFIG_LIBS="-lw32pth"
+ W32PTH_CONFIG_CFLAGS=""
+
+--- config.h.in.orig    2013-04-22 17:12:09.356265499 +0000
++++ config.h.in 2013-04-22 17:12:15.432224374 +0000
+@@ -12,6 +12,9 @@
+ /* Define to 1 if you have the <memory.h> header file. */
+ #undef HAVE_MEMORY_H
+
++/* Define to 1 if you have the sigset_t rype. */
++#undef HAVE_SIGSET_T
++
+ /* Define to 1 if you have the <stdint.h> header file. */
+ #undef HAVE_STDINT_H

commit 8a22dd3596cf8a513afa5199232c24bb3a1f0840
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Apr 22 17:43:59 2013 +0000

    Add check for strcasecmp
    
        If this is not checked jnlib redefines the symbol.
        Fixes build with newer mingw versions.
    
        * patches/dirmngr-1.1.0/05-check-for-strcasecmp.patch: New

diff --git a/patches/dirmngr-1.1.0/05-check-for-strcasecmp.patch b/patches/dirmngr-1.1.0/05-check-for-strcasecmp.patch
new file mode 100755
index 0000000..8cc132d
--- /dev/null
+++ b/patches/dirmngr-1.1.0/05-check-for-strcasecmp.patch
@@ -0,0 +1,127 @@
+#! /bin/sh
+# Ignore whitespace is necessary because the original context of the patch
+# contains whitespace errors
+patch -p0 -f --ignore-whitespace $* < $0
+exit $?
+
+2013-04-22  Andre Heinecke  <aheinecke at intevation.de>
+
+	* configure.ac: Check for strcasecmp otherwise jnlib defines it
+    config.h.in: Add define accordingly
+    * configure: Update generated configure
+
+
+--- configure.ac.orig3  2013-04-22 16:43:16.005751268 +0000
++++ configure.ac        2013-04-22 16:44:25.281206493 +0000
+@@ -352,7 +352,7 @@
+ # begin jnlib checks - fixme: we should have a macros for them
+ AC_CHECK_FUNCS([memicmp stpcpy strsep strlwr strtoul memmove stricmp strtol])
+ AC_CHECK_FUNCS([memrchr isascii timegm getrusage setrlimit stat setlocale])
+-AC_CHECK_FUNCS([flockfile funlockfile])
++AC_CHECK_FUNCS([flockfile funlockfile strcasecmp])
+ AC_CHECK_FUNCS([funopen fopencookie])
+ # end jnlib checks
+
+
+--- config.h.in.orig    2013-04-22 16:41:50.646422094 +0000
++++ config.h.in 2013-04-22 16:44:33.000000000 +0000
+@@ -131,6 +131,9 @@
+ /* Define to 1 if you have the `stpcpy' function. */
+ #undef HAVE_STPCPY
+
++/* Define to 1 if you have the `strcasecmp' function. */
++#undef HAVE_STRCASECMP
++
+ /* Define to 1 if you have the `stricmp' function. */
+ #undef HAVE_STRICMP
+
+--- configure.orig	2013-04-22 17:31:41.748211119 +0000
++++ configure	2013-04-22 17:35:03.054808491 +0000
+@@ -592,6 +592,7 @@
+ #endif"
+
+ ac_subst_vars='LTLIBOBJS
++LBER_LIBS
+ LDAPLIBS
+ KSBA_LIBS
+ KSBA_CFLAGS
+@@ -8714,6 +8715,52 @@
+
+
+
++{ $as_echo "$as_me:${as_lineno-$LINENO}: checking for ber_free in -llber" >&5
++$as_echo_n "checking for ber_free in -llber... " >&6; }
++if test "${ac_cv_lib_lber_ber_free+set}" = set; then :
++  $as_echo_n "(cached) " >&6
++else
++  ac_check_lib_save_LIBS=$LIBS
++LIBS="-llber  $LIBS"
++cat confdefs.h - <<_ACEOF >conftest.$ac_ext
++/* end confdefs.h.  */
++
++/* Override any GCC internal prototype to avoid an error.
++   Use char because int might match the return type of a GCC
++   builtin and then its argument prototype would still apply.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++char ber_free ();
++int
++main ()
++{
++return ber_free ();
++  ;
++  return 0;
++}
++_ACEOF
++if ac_fn_c_try_link "$LINENO"; then :
++  ac_cv_lib_lber_ber_free=yes
++else
++  ac_cv_lib_lber_ber_free=no
++fi
++rm -f core conftest.err conftest.$ac_objext \
++    conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++{ $as_echo "$as_me:${as_lineno-$LINENO}: result: $ac_cv_lib_lber_ber_free" >&5
++$as_echo "$ac_cv_lib_lber_ber_free" >&6; }
++if test "x$ac_cv_lib_lber_ber_free" = x""yes; then :
++   LBER_LIBS="$LBER_LIBS -llber"
++
++$as_echo "#define HAVE_LBER 1" >>confdefs.h
++
++              have_lber=yes
++
++fi
++
++
+
+ # Checks for header files.
+ { $as_echo "$as_me:${as_lineno-$LINENO}: checking for ANSI C header files" >&5
+@@ -9164,6 +9211,17 @@
+
+ fi
+
++ac_fn_c_check_type "$LINENO" "sigset_t" "ac_cv_type_sigset_t" "#include <sys/types.h>
++"
++if test "x$ac_cv_type_sigset_t" = x""yes; then :
++
++cat >>confdefs.h <<_ACEOF
++#define HAVE_SIGSET_T 1
++_ACEOF
++
++
++fi
++
+
+
+ # Checks for library functions.
+@@ -9250,7 +9308,7 @@
+ fi
+ done
+
+-for ac_func in flockfile funlockfile
++for ac_func in flockfile funlockfile strcasecmp
+ do :
+   as_ac_var=`$as_echo "ac_cv_func_$ac_func" | $as_tr_sh`
+ ac_fn_c_check_func "$LINENO" "$ac_func" "$as_ac_var"

commit 26fa1f9f3e73055c9f6d3b986c196896c624b0d4
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Apr 22 17:43:17 2013 +0000

    Define LDAP_SCOPE_DEFAULT if not defined
    
        This is no longer defined in newer versions of winldap.h
    
        patches/dirmngr-1.1.0/04-winldap-scope.patch: New.

diff --git a/patches/dirmngr-1.1.0/04-winldap-scope.patch b/patches/dirmngr-1.1.0/04-winldap-scope.patch
new file mode 100755
index 0000000..1364ee3
--- /dev/null
+++ b/patches/dirmngr-1.1.0/04-winldap-scope.patch
@@ -0,0 +1,23 @@
+#! /bin/sh
+# Ignore whitespace is necessary because the original context of the patch
+# contains whitespace errors
+patch -p0 -f --ignore-whitespace $* < $0
+exit $?
+
+2013-04-22  Andre Heinecke  <aheinecke at intevation.de>
+
+	* src/ldap_url.c: Define LDAP_SCOPE_DEFAULT if undefined
+
+--- src/ldap-url.c.orig     2013-04-22 16:29:28.308303167 +0000
++++ src/ldap-url.c  2013-04-22 16:31:50.907159372 +0000
+@@ -95,6 +95,9 @@
+ #define Debug(a,b,c,d,e)
+ void ldap_pvt_hex_unescape( char *s );
+
++#ifndef LDAP_SCOPE_DEFAULT
++# define LDAP_SCOPE_DEFAULT -1
++#endif
+
+
+
+ /* $OpenLDAP: pkg/ldap/libraries/libldap/charray.c,v 1.9.2.2 2003/03/03 17:10:04 kurt Exp $ */

commit 884ac7fe560956176e03279d604651d08a356f8f
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Apr 22 17:42:23 2013 +0000

    Check for sigset_t and define it if neccessary
    
        This fixes building on debian sid with newer mingw
        versions.
    
        * patches/dirmngr-1.1.0/03-sigset_t.patch: New.

diff --git a/patches/dirmngr-1.1.0/03-sigset_t.patch b/patches/dirmngr-1.1.0/03-sigset_t.patch
new file mode 100755
index 0000000..2540fcd
--- /dev/null
+++ b/patches/dirmngr-1.1.0/03-sigset_t.patch
@@ -0,0 +1,40 @@
+#! /bin/sh
+# Ignore whitespace is necessary because the original context of the patch
+# contains whitespace errors
+patch -p0 -f --ignore-whitespace $* < $0
+exit $?
+
+2013-04-22  Andre Heinecke  <aheinecke at intevation.de>
+
+	* configure.ac: Check for sigset_t also in sys/types.h
+    src/dirmngr.c: Define sigset_t if not available
+
+
+--- src/dirmngr.c.orig      2013-04-22 16:06:52.995172144 +0000
++++ src/dirmngr.c   2013-04-22 16:08:18.702484290 +0000
+@@ -60,6 +60,14 @@
+ #define FD2INT(h) (h)
+ #endif
+
++#ifndef HAVE_SIGSET_T
++# ifdef _WIN64
++    typedef unsigned long long sigset_t;
++# else
++    typedef unsigned long sigset_t;
++# endif
++#endif
++
+ enum cmd_and_opt_values
+ { aNull = 0,
+   oCsh           = 'c',
+
+--- configure.ac.orig2  2013-04-22 16:02:15.165400535 +0000
++++ configure.ac        2013-04-22 16:11:30.920940942 +0000
+@@ -343,6 +343,7 @@
+
+
+ AC_CHECK_TYPES([struct sigaction, sigset_t],,,[#include <signal.h>])
++AC_CHECK_TYPES([sigset_t],,,[#include <sys/types.h>])
+
+
+ # Checks for library functions.

commit 4cb87cb5915dd007385414013bb8d785a382791d
Author: Andre Heinecke <aheinecke at intevation.de>
Date:   Mon Apr 22 17:40:55 2013 +0000

    Link with lber and look for ber_free
    
        Patch taken from gnupg rev 76ff42e
    
        patches/dirmngr-1.1.0/02-lber-link.patch: New.

diff --git a/patches/dirmngr-1.1.0/02-lber-link.patch b/patches/dirmngr-1.1.0/02-lber-link.patch
new file mode 100755
index 0000000..3187494
--- /dev/null
+++ b/patches/dirmngr-1.1.0/02-lber-link.patch
@@ -0,0 +1,39 @@
+#! /bin/sh
+# Ignore whitespace is necessary because the original context of the patch
+# contains whitespace errors
+patch -p0 -f --ignore-whitespace $* < $0
+exit $?
+
+2013-04-22  Andre Heinecke  <aheinecke at intevation.de>
+
+	* configure.ac: Check for lber and ber_free lib names
+    src/Makefile.am: Link with lber
+
+--- configure.ac.orig   2013-04-22 15:50:39.059156989 +0000
++++ configure.ac        2013-04-22 15:50:44.187114177 +0000
+@@ -317,6 +317,13 @@
+ AC_SUBST(LDAPLIBS)
+
+
++AC_CHECK_LIB(lber, ber_free,
++            [ LBER_LIBS="$LBER_LIBS -llber"
++              AC_DEFINE(HAVE_LBER,1,
++                       [defined if liblber is available])
++              have_lber=yes
++           ])
++AC_SUBST(LBER_LIBS)
+
+ # Checks for header files.
+ AC_HEADER_STDC
+--- src/Makefile.am.orig        2013-04-22 15:48:51.248058209 +0000
++++ src/Makefile.am     2013-04-22 15:48:55.676020394 +0000
+@@ -61,7 +61,8 @@
+ dirmngr_ldap_CFLAGS = $(GPG_ERROR_CFLAGS)
+ dirmngr_ldap_LDFLAGS =
+ dirmngr_ldap_LDADD = $(ldap_ldadd) ../jnlib/libjnlib.a $(LIBOBJS) \
+-                    $(GPG_ERROR_LIBS) $(LDAPLIBS) $(LIBINTL) $(LIBICONV)
++                    $(GPG_ERROR_LIBS) $(LDAPLIBS) $(LBER_LIBS) $(LIBINTL) \
++                        $(LIBICONV)
+
+ dirmngr_client_SOURCES = dirmngr-client.c i18n.h util.h b64enc.c \
+                          get-path.c no-libgcrypt.c no-libgcrypt.h

-----------------------------------------------------------------------

Summary of changes:
 patches/dirmngr-1.1.0/02-lber-link.patch           |   39 ++++++
 patches/dirmngr-1.1.0/03-sigset_t.patch            |   40 ++++++
 patches/dirmngr-1.1.0/04-winldap-scope.patch       |   23 ++++
 .../dirmngr-1.1.0/05-check-for-strcasecmp.patch    |  127 ++++++++++++++++++++
 .../01_compatibility_with_newer_mingw.patch        |   55 +++++++--
 5 files changed, 276 insertions(+), 8 deletions(-)
 create mode 100755 patches/dirmngr-1.1.0/02-lber-link.patch
 create mode 100755 patches/dirmngr-1.1.0/03-sigset_t.patch
 create mode 100755 patches/dirmngr-1.1.0/04-winldap-scope.patch
 create mode 100755 patches/dirmngr-1.1.0/05-check-for-strcasecmp.patch


hooks/post-receive
-- 
GnuPG for Windows
http://git.gnupg.org



More information about the Gpg4win-commits mailing list